#include "xbrushwrapper.h"

XBrushWrapper::XBrushWrapper()
    : XAsset()
    , mMins()
    , mContents(0)
    , mMaxs()
    , mNumSides(0)
    , mSides()
    , mAxialMaterialNum()
    , mBaseAdjacentSide()
    , mFirstAdjacentSideOffsets()
    , mEdgeCount()
    , mTotalEdgeCount(0)
    , mPlanes()
{
    SetName("Brush Wrapper");
}

void XBrushWrapper::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XBrushWrapper::ParseData
}

void XBrushWrapper::Clear()
{
    mMins = QVector3D();
    mContents = 0;
    mMaxs = QVector3D();
    mNumSides = 0;
    mSides.clear();
    mAxialMaterialNum.clear();
    mBaseAdjacentSide = 0;
    mFirstAdjacentSideOffsets.clear();
    mEdgeCount.clear();
    mTotalEdgeCount = 0;
    mPlanes.clear();
}
